Page MenuHomePhabricator

Parsing error: Expecting : in parser function definiton
Closed, ResolvedPublic

Description

There are a bunch of errors like this in RB:

Expecting : in parser function definiton
AssertionError: Expecting : in parser function definiton
    at Console.assert (console.js:95:23)
    at TemplateHandler.resolveTemplateTarget (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/tt/TemplateHandler.js:480:13)
    at TemplateHandler.onTemplate (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/tt/TemplateHandler.js:110:17)
    at AsyncTokenTransformManager.transformTokens (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/TokenTransformManager.js:626:17)
    at AsyncTokenTransformManager.onChunk (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/TokenTransformManager.js:399:17)
    at emitOne (events.js:96:13)
    at SyncTokenTransformManager.emit (events.js:188:7)
    at SyncTokenTransformManager.onChunk (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/TokenTransformManager.js:983:7)
    at emitOne (events.js:96:13)
    at PegTokenizer.emit (events.js:188:7)
    at emitChunk (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:20160:25)
    at peg$c33 (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:390:11)
    at peg$parsetlb (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:3208:12)
    at Object.next (eval at <anonymous> (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:1922:14)
    at tokenizeChunk (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/tokenizer.js:293:20)
    at PegTokenizer.tokenizeAsync (/srv/deployment/parsoid/deploy-cache/revs/48be65b94d0147ab21c5bc9390bb168f30b98084/src/lib/wt2html/tokenizer.js:306:2)

Sample titles for which it happens:

  • /de.wikipedia.org/v1/page/html/Wikipedia%3AProjektdiskussion%2FPRD-subst%2Fpre
  • /en.wiktionary.org/v1/page/html/Template%3Apl-decl-noun-f

The x-triggered-by header suggests this might be coming as a result of a faulty template transclusion:

mediawiki.revision-create:https://de.wikipedia.org/wiki/Wikipedia:Projektdiskussion/New_filters_for_Recent_Changes_-_Beta_deployment_schedule_for_your_wiki,change-prop.transcludes.resource-change:https://de.wikipedia.org/wiki/Wikipedia%3AProjektdiskussion%2FPRD-subst%2Fpre,change-prop.retry.change-prop.transcludes.resource-change:https://de.wikipedia.org/wiki/Wikipedia%3AProjektdiskussion%2FPRD-subst%2Fpre,change-prop.retry.change-prop.transcludes.resource-change:https://de.wikipedia.org/wiki/Wikipedia%3AProjektdiskussion%2FPRD-subst%2Fpre

I haven't investigated, so if this is not a genuine Parsoid problem, but a template fault, excuse the noise :)

Event Timeline

mobrovac created this task.Aug 15 2017, 7:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2017, 7:59 PM
mobrovac updated the task description. (Show Details)Aug 15 2017, 8:27 PM
Arlolra claimed this task.Aug 16 2017, 5:02 PM
Arlolra triaged this task as Medium priority.

Related to the code path this touches is {{Wikiprojekt:Rocznice/podgląd<includeonly>|ekspozycja=</includeonly>|03|15}} from https://pl.wikipedia.org/api/rest_v1/page/html/Wikiprojekt%3ARocznice%2Fekspozycje%2F03-15/41470292

Change 373949 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T173384: Improve handling of tokens in pf targets

https://gerrit.wikimedia.org/r/373949

Change 373949 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T173384: Improve handling of tokens in pf targets

https://gerrit.wikimedia.org/r/373949

Arlolra closed this task as Resolved.Sep 7 2017, 3:45 PM